> For the complete documentation index, see [llms.txt](https://docs.kynno.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kynno.app/products/easytextures/changelog.md).

# Changelog

## 4.1 – 15/05/2024

### Added

* Support for `PRIM_RENDER_MATERIAL`, see <https://wiki.secondlife.com/wiki/LlSetPrimitiveParams#PRIM_RENDER_MATERIAL>. It's basically set the UUID of your material, instead of setting each textures.
* Apply one instruction to multiple prim links. Example: `root,link1,link2;texture;0...`

## 4.0 – 06/01/2024 – Introducing PBR Materials Support!

### Added

I'm excited to announce that EasyTextures is one of the first HUD textures to support PBR! You can edit `PRIM_GLTF_BASE_COLOR`, `PRIM_GLTF_NORMAL`, `PRIM_GLTF_METALLIC_ROUGHNESS`, `PRIM_GLTF_EMISSIVE`.

In the instructions, you can use `pbr_basecolor`, `pbr_normal`, `pbr_metallic`, `pbr_emissive`.

For the default values and what you can use, please visit <https://wiki.secondlife.com/wiki/LlSetPrimitiveParams#PRIM_GLTF_BASE_COLOR>, you will be able to see all the options values you can set for each parameter.&#x20;

As usual, if you need any help setting up your `.config HUD`, you can contact Luke Rowley.

## 3.1.3 – 08/22/2022

### Added

* Support for `PRIM_BUMP_SHINY` see <https://wiki.secondlife.com/wiki/LlSetPrimitiveParams#PRIM_BUMP_SHINY>

## 3.1.2 – 08/18/2022

### Added

* By default, the HUD is no longer rezzable by customers. If you want to change this behavior, you can add the instruction `allow_rez` to your `.config HUD` script.

### Fixes

* Fixed an issue where, when the .config HUD has plenty of instructions, it randomly stopped during the processing of your texture packs.

## 3.1.1 – 07/17/2021

### Added

* You can now use `ROOT` as prim name to target the prim root of your object.&#x20;
* You can add the instruction `ignore_not_existing_prim` in your `.config` to prevent the messages like ``ERROR: There is no prim named `something` in your object.`` to being displayed.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kynno.app/products/easytextures/changelog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
